﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication2
{
    public class TemplateSelector : DataTemplateSelector
    {
        private DataTemplate first;
        private DataTemplate second;

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is WorkflowItem)
                return this.FirstTemplate;
            else if (item is ShmoogItem)
                return this.SecondTemplate;
            else 
                 return null;
        }

        public DataTemplate FirstTemplate
        {
            get { return first; }
            set { first = value; }
        }

        public DataTemplate SecondTemplate
        {
            get { return second; }
            set { second = value; }
        }
    }
}
